/*
 * lib/cm4.h -- Cortex M4 register definitions
 *
 * Copyright (C) 2017 Tomasz Kramkowski <tk@the-tk.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef FMK_LIB_CM4_H
#define FMK_LIB_CM4_H

#define CLRPEND(n) REG_32(0xE000E280 + 4 * (n))
#define ISR_CLRPEND(i) CLRPEND((i) / 32) = BV((i) % 32);

#define SETENA(n) REG_32(0xE000E100 + 4 * (n))
#define ISR_SETENA(i) SETENA((i) / 32) = BV((i) % 32);

#define INTPRI(n) REG_8(0xE000E400 + (n))

#endif /* FMK_LIB_CM4_H */
