/*
 * lib/le.h -- Basic little endian byte order functions
 *
 * Copyright (C) 2016 Tomasz Kramkowski <tk@the-tk.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef FMK_LIB_LE_H
#define FMK_LIB_LE_H

#include <stdint.h>

uint16_t le16toh(const void *data);
uint32_t le32toh(const void *data);

void htole16(void *data, uint16_t value);
void htole32(void *data, uint32_t value);

#endif /* FMK_LIB_LE_H */
